Loyalty.lt
Public partners

Get partner shops

Retrieve all active shops for a specific partner

GET/{locale}/site/partners/{id}/shops

Retrieve all active shops for a specific partner

Authorization

bearerAuth
AuthorizationBearer <token>

Enter JWT token in the format: Bearer {token}

In: header

Path Parameters

locale*string

Locale code

id*integer

Partner ID

Response Body

application/json

curl -X GET "https://example.com/lt/site/partners/1/shops"
{  "success": true,  "data": [    {      "id": 1,      "name": "MaxiMa Vilniaus g.",      "address": "Vilniaus g. 1, Kaunas",      "city": "Kaunas",      "postal_code": "44001",      "latitude": 54.8985,      "longitude": 23.9036,      "contact_phone": "+37060000001",      "opening_hours": {        "monday": {          "open": "08:00",          "close": "22:00"        },        "tuesday": {          "open": "08:00",          "close": "22:00"        }      }    }  ]}